function()
	local target = aura_env.statee.target

	for _, subregion in ipairs(aura_env.region.subRegions) do
		if aura_env.config.borderColor then
			if subregion.type == "subborder" then
				---@type ClassColor
				local classColorInfo = aura_env.ClassColors[aura_env.statee.targetClassId]
				if classColorInfo then
					local color = classColorInfo.color.rgbInt
					subregion:SetBorderColor(color[1] / 255, color[2] / 255, color[3] / 255, 1)
				end
			end
		end
		if target and target == PlayerName then
			if aura_env.config.glow then
				if subregion.type == "subglow" then
					subregion:SetVisible(true)
				end
			end
		end
	end

	if target and target == PlayerName then
		return 1, 0, 0, 1
	end
	return 0, 0, 1, 1
end
